Migration of 10.x and below JEE project exception

  1. MyEclipse IDE > General Development

This topic contains 10 replies, has 5 voices, and was last updated by  support-swapna 2 months, 2 weeks ago.

Viewing 11 posts - 1 through 11 (of 11 total)
  • Author
    Posts
  • #348851 Reply

    lford
    Member

    I am having difficulty migrating 5 projects to MyEclipse Enterprise 2014. I would appreciate any assistance in resolving this issue.

    I am seeing the below exception when selecting CMATWeb:

    Cannot initialize migration process of project CMATWeb.
    Cannot initialize migration process of project CMATWeb.
    java.lang.NullPointerException
    Cannot initialize migration process of project CMATWeb.
    java.lang.NullPointerException

    The .log indicates this exception:

    !SUBENTRY 1 com.genuitec.eclipse.migration 4 0 2014-04-18 13:30:45.201
    !MESSAGE Cannot initialize migration process of project CMATWeb.
    !STACK 0
    java.lang.NullPointerException
    at com.genuitec.eclipse.migration.myeclipse.MEJEEProjectMigration.detectFacetVersion(MEJEEProjectMigration.java:87)
    at com.genuitec.eclipse.migration.core.project.AbstractFacetInstallingProjectMigrationDelegate.initialize(AbstractFacetInstallingProjectMigrationDelegate.java:55)
    at com.genuitec.eclipse.migration.myeclipse.MEWebProjectMigration.initialize(MEWebProjectMigration.java:41)
    at com.genuitec.eclipse.migration.core.project.internal.ProjectMigrationOperation.<init>(ProjectMigrationOperation.java:41)
    at com.genuitec.eclipse.migration.core.project.internal.MigratingProject.initilizeMigrationProcess(MigratingProject.java:1082)
    at com.genuitec.eclipse.migration.core.project.internal.ProjectsMigrationJob.run(ProjectsMigrationJob.java:94)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:53)

    The .project file:

    <?xml version=”1.0″ encoding=”UTF-8″?>
    <projectDescription>
    <name>CMATWeb</name>
    <comment></comment>
    <projects>
    <project>CMATApp</project>
    </projects>
    <buildSpec>
    <buildCommand>
    <name>org.eclipse.wst.common.project.facet.core.builder</name>
    <arguments>
    </arguments>
    </buildCommand>
    <buildCommand>
    <name>org.eclipse.wst.jsdt.core.javascriptValidator</name>
    <arguments>
    </arguments>
    </buildCommand>
    <buildCommand>
    <name>com.genuitec.eclipse.j2eedt.core.WebClasspathBuilder</name>
    <arguments>
    </arguments>
    </buildCommand>
    <buildCommand>
    <name>org.eclipse.jdt.core.javabuilder</name>
    <arguments>
    </arguments>
    </buildCommand>
    <buildCommand>
    <name>com.genuitec.eclipse.j2eedt.core.J2EEProjectValidator</name>
    <arguments>
    </arguments>
    </buildCommand>
    <buildCommand>
    <name>com.genuitec.eclipse.j2eedt.core.DeploymentDescriptorValidator</name>
    <arguments>
    </arguments>
    </buildCommand>
    <buildCommand>
    <name>org.eclipse.wst.validation.validationbuilder</name>
    <arguments>
    </arguments>
    </buildCommand>
    <buildCommand>
    <name>com.genuitec.eclipse.ast.deploy.core.DeploymentBuilder</name>
    <arguments>
    </arguments>
    </buildCommand>
    </buildSpec>
    <natures>
    <nature>org.eclipse.jem.workbench.JavaEMFNature</nature>
    <nature>org.eclipse.wst.common.modulecore.ModuleCoreNature</nature>
    <nature>com.genuitec.eclipse.ast.deploy.core.deploymentnature</nature>
    <nature>com.genuitec.eclipse.j2eedt.core.webnature</nature>
    <nature>org.eclipse.jdt.core.javanature</nature>
    <nature>org.eclipse.wst.jsdt.core.jsNature</nature>
    <nature>org.eclipse.wst.common.project.facet.core.nature</nature>
    </natures>
    </projectDescription>

    The .mymetadata file:

    <?xml version=”1.0″ encoding=”UTF-8″?>
    <project-module
    type=”WEB”
    name=”CMATWeb”
    id=”myeclipse.1279040412592″
    context-root=”/CMATWeb”
    j2ee-spec=”1.4″
    archive=”CMATWeb.war”>
    <attributes>
    <attribute name=”webrootdir” value=”WebRoot” />
    </attributes>
    </project-module>

    #348887 Reply

    support-swapna
    Moderator

    Iford,

    Sorry that you are seeing this issue.

    Can you please also send us the .classpath file and the contents of the .settings folder of the troubled project to help us investigate further?

    #348898 Reply

    lford
    Member

    Please see attached. Thank you for investigating this issue.

    Attachments:
    You must be logged in to view attached files.
    #348929 Reply

    support-swapna
    Moderator

    Iford,

    Thank you for the files. I have filed it for investigation with the dev team. We will get back to you at the earliest with the solution.

    Sorry for inconvenience caused.

    #348994 Reply

    lford
    Member

    Is there an update from the dev team on this issue? Thanks.

    #349006 Reply

    Iford,

    Project has jst.utility facet installed and therefore is not correctly recognized as a Web project. You need to manually remove the jst.utility facet before migration. To do so you need to open the .settings/org.eclipse.wst.common.project.facet.core.xml file and remove the following two lines from the file –

    <fixed facet=”jst.utility”/>
    <installed facet=”jst.utility” version=”1.0″/>

    Let us know how it works for you.

    #349009 Reply

    lford
    Member

    Yes, that did work for multiple migrations. Thank you!

    #349054 Reply

    Iford,

    Glad that you got it working and thanks for getting back to us.
    Let us know if you see any issues in MyEclipse.

    #350037 Reply

    support-tony
    Keymaster

    Iford,

    This problem has been fixed in our 2015 CI 1 release. For details of this release, please see this announcement.

    #659206 Reply

    gobin098
    Participant

    hey can you guys help me out in the migration of the project?
    I have no idea what i am doing or what should i do..
    Below is the project file . Please tell me what should i do so that the project works fine.

    #659226 Reply

    support-swapna
    Moderator

    gobin098,

    I am afraid the project files didnt come through. Please attach the .zip file of the project.

    1. Can you please share with us your current MyEclipse Version and Build Id details (Help > About MyEclipse section)?
    2. When you import the project to the newer MyEclipse, the Migration wizard will automatically prompt for migration in case the project needs migration and will guide you along. Do you see the Migration wizard when you import the project?
    3. If you are seeing any issues/errors with the Migration wizard, then please share with us a screenshot of the error including the zipped project to help us investigate further.

    Apologies for inconvenience caused.

    –Swapna
    Genuitec Support

Viewing 11 posts - 1 through 11 (of 11 total)
Reply To: Migration of 10.x and below JEE project exception

You must be logged in to post in the forum log in